你的位置:首页 > 操作系统

[操作系统]androidstudio报错


今天换一下IDE,结果上来就给我报错,

androidstudio

message:Error:java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0 

Error:Execution failed for task ':myapplication:transformClassesWithDexForDebug'.
> com.android.build.api.transform.TransformException: java.lang.RuntimeException: com.android.ide.common.process.ProcessException: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'D:\Program Files\Java\jdk1.7.0_67\bin\java.exe'' finished with non-zero exit value 1

我的解决办法: 因为build.grade下compileSdkVersion 23 和buildToolsVersion "24.0.1 不一致导致的 我将buildToolsVersion 改为23.01就可以了  在clean一下 ,IDE提示你下载23.01版本的,希望能帮助大家解决困扰。